%global pypi_name platformdirs
%global commitId e438af25e1d682d09794f33fa64e60d175304395

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.4.1
Release:        1%{?dist}
Summary:        Python module for determining appropriate platform-specific dirs

License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        python-platformdirs-e438af25e1d682d09794f33fa64e60d175304395.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-wheel

%description
When writing desktop application, finding the right location to store user
data and configuration varies per platform. Even for single-platform apps,
there may by plenty of nuances in figuring out the right location.
This kind of thing is what the platformdirs module is for.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Python module for determining appropriate platform-specific dirs

%description -n python%{python3_pkgversion}-%{pypi_name}
When writing desktop application, finding the right location to store user
data and configuration varies per platform. Even for single-platform apps,
there may by plenty of nuances in figuring out the right location.
This kind of thing is what the platformdirs module is for.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 17 2022 Dimitri Savineau <dsavinea@redhat.com> 2.4.1-1
- Initial release
